Package com.tietoenator.trip.jxp.database

# Enum Class TdbIntegrityType

java.lang.Object
java.lang.Enum<TdbIntegrityType>
com.tietoenator.trip.jxp.database.TdbIntegrityType

All Implemented Interfaces:
  `Serializable`, `Comparable<TdbIntegrityType>`, `Constable`

public enum TdbIntegrityType extends Enum<TdbIntegrityType>
An enumeration of the possible types of referential integrity rule

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Cascade`
  Modifications in the master database will automatically be projected onto the slave database
  `NoAction`
  Nothing happens, this is the same as having no rule in place
  `Restrict`
  This is the default, which causes actions to be aborted if the action would force a rule to project a modification onto a slave database
  `SetDefault`
  The target of the relationship (i.e. the foreign key in the slave database) is reset to its default value (if any) after projection
  `SetNull`
  The target of the relationship (i.e. the foreign key in the slave database) is set NULL (i.e. blank) after projection
  `Undefined`
  The type is undefined, nothing will happen

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Return the TRIPxpi protocol name for the current integrity identifier
  `static TdbIntegrityType`
  `getTypeof(String name)`
  Retrieve the integrity type ID that matches the provided name
  `static TdbIntegrityType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TdbIntegrityType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Undefined

    public static final TdbIntegrityType Undefined
    The type is undefined, nothing will happen

  - ### Restrict

    public static final TdbIntegrityType Restrict
    This is the default, which causes actions to be aborted if the action would force a rule to project a modification onto a slave database

  - ### Cascade

    public static final TdbIntegrityType Cascade
    Modifications in the master database will automatically be projected onto the slave database

  - ### NoAction

    public static final TdbIntegrityType NoAction
    Nothing happens, this is the same as having no rule in place

  - ### SetNull

    public static final TdbIntegrityType SetNull
    The target of the relationship (i.e. the foreign key in the slave database) is set NULL (i.e. blank) after projection

  - ### SetDefault

    public static final TdbIntegrityType SetDefault
    The target of the relationship (i.e. the foreign key in the slave database) is reset to its default value (if any) after projection

- ## Method Details

  - ### values

    public static TdbIntegrityType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TdbIntegrityType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getTypeof

    public static TdbIntegrityType getTypeof(String name)
    Retrieve the integrity type ID that matches the provided name
    Parameters:
      `name` - The name to match
    Returns:
      The type ID

  - ### getName

    public String getName()
    Return the TRIPxpi protocol name for the current integrity identifier
    Returns:
      The name